Rhonabwy Javascript Object Signing and Encryption (JOSE) library - JWK, JWKS, JWS, JWE and JWT

Loading...
Searching...
No Matches
jwe_t Struct Reference
JWK, JWKS, JWS, JWE type

`#include <rhonabwy.h>`

## Data Fields
unsigned char * | header_b64url
unsigned char * | encrypted_key_b64url
unsigned char * | aad_b64url
unsigned char * | iv_b64url
unsigned char * | ciphertext_b64url
unsigned char * | auth_tag_b64url
json_t * | j_header
json_t * | j_unprotected_header
jwa_alg | alg
jwa_enc | enc
jwks_t * | jwks_privkey
jwks_t * | jwks_pubkey
unsigned char * | aad
size_t | aad_len
unsigned char * | key
size_t | key_len
unsigned char * | iv
size_t | iv_len
unsigned char * | payload
size_t | payload_len
json_t * | j_json_serialization
int | token_mode

## Field Documentation

## ◆ aad

unsigned char* jwe_t::aad

## ◆ aad_b64url

unsigned char* jwe_t::aad_b64url

## ◆ aad_len

size_t jwe_t::aad_len

## ◆ alg

jwa_alg jwe_t::alg

## ◆ auth_tag_b64url

unsigned char* jwe_t::auth_tag_b64url

## ◆ ciphertext_b64url

unsigned char* jwe_t::ciphertext_b64url

## ◆ enc

jwa_enc jwe_t::enc

## ◆ encrypted_key_b64url

unsigned char* jwe_t::encrypted_key_b64url

## ◆ header_b64url

unsigned char* jwe_t::header_b64url

## ◆ iv

unsigned char* jwe_t::iv

## ◆ iv_b64url

unsigned char* jwe_t::iv_b64url

## ◆ iv_len

size_t jwe_t::iv_len

## ◆ j_header

json_t* jwe_t::j_header

## ◆ j_json_serialization

json_t* jwe_t::j_json_serialization

## ◆ j_unprotected_header

json_t* jwe_t::j_unprotected_header

## ◆ jwks_privkey

jwks_t* jwe_t::jwks_privkey

## ◆ jwks_pubkey

jwks_t* jwe_t::jwks_pubkey

## ◆ key

unsigned char* jwe_t::key

## ◆ key_len

size_t jwe_t::key_len

## ◆ payload

unsigned char* jwe_t::payload

## ◆ payload_len

size_t jwe_t::payload_len

## ◆ token_mode

int jwe_t::token_mode

The documentation for this struct was generated from the following file:

- include/rhonabwy.h